Skip to content
EN

视频延长

方法: POST路径: /kling/v1/videos/video-extend

1、生成视频 2、此接口要求传入任务id和视频id 此接口属于子任务,需要在父任务账号上使用,请尽快操作避免资源包过期。 官方文档:https://docs.qingque.cn/d/home/eZQClW07IFEuX1csc-VejdY2M#section=h.8fzev2i9nkje

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
video_id
string
必需
prompt
string
必需
示例
{
"video_id"
:
"string"
,
"prompt"
:
"string"
}

请求示例代码

Shell

bash
curl --location --request POST '/kling/v1/videos/video-extend' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "video_id": "string",
    "prompt": "string"
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "code": 0,
    "message": "SUCCEED",
    "request_id": "CmJ8DGePZioAAAAAAFIvOQ",
    "data": {
        "task_id": "CmJ8DGePZioAAAAAAFIvOQ",
        "task_status": "submitted",
        "created_at": 1737628288136,
        "updated_at": 1737628288136
    }
}